/*
 * IErrorStr.c
 *
 * Image library
 *
 * Description:
 *	Portable routines to manipulate raster images.
 *
 * History:
 *	20-May-96	Craig Knudsen	cknudsen@radix.net
 *			Created
 *
 ****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <memory.h>

#include "Ilib.h"
#include "IlibP.h"



char *IErrorString ( err )
IError err;
{
  switch ( err ) {
    case IInvalidImage: return ( "Invalid image" );
    case IInvalidGC: return ( "Invalid GC" );
    case IInvalidColor: return ( "Invalid color" );
    case IInvalidFont: return ( "Invalid font" );
    case IFunctionNotImplemented: return ( "Function not implemented" );
    case IInvalidFormat: return ( "Invalid file format" );
    case IFileInvalid: return ( "Invalid file" );
    case IErrorWriting: return ( "Error writing file" );
    case INoFontSet: return ( "No font set" );
    case INoSuchFont: return ( "Font not found" );
    case INoSuchFile: return ( "No such file" );
    case IFontError: return ( "Font error" );
    case IInvalidEscapeSequence: return ( "Invalid escape sequence in text" );
    case IInvalidArgument: return ( "Invalid argument" );
    case INoGIFSupport: return ( "GIF support not available" );
    case IGIFError: return ( "Unknown GIF error" );
    case INoPNGSupport: return ( "PNG support not available" );
    case IPNGError: return ( "Unknown PNG error" );
    case INoError: default: return ( "error" );
  }
}


